Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsSceneContextMenuEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QGraphicsSceneEvent
                      com.trolltech.qt.gui.QGraphicsSceneContextMenuEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QGraphicsSceneContextMenuEvent

extends QGraphicsSceneEvent

The `QGraphicsSceneContextMenuEvent` class provides context menu events in the graphics view framework.

A `QContextMenuEvent` received by a `QGraphicsView` is translated into a `QGraphicsSceneContextMenuEvent`. The QWheelEvent::globalPos() is translated into item, scene, and screen coordinates (`pos`, `scenePos`, and `screenPos`).

See Also:
  `QGraphicsSceneMouseEvent`, `QGraphicsSceneWheelEvent`, `QContextMenuEvent`

Nested Class Summary
`static class` | `QGraphicsSceneContextMenuEvent.Reason` This enum describes the reason why the context event was sent.

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QGraphicsSceneContextMenuEvent()` Equivalent to `QGraphicsSceneContextMenuEvent`(None).
`QGraphicsSceneContextMenuEvent(QEvent.Type type)`

Method Summary
`static QGraphicsSceneContextMenuEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QGraphicsSceneContextMenuEvent instance pointed to by nativePointer
`Qt.KeyboardModifiers` | `modifiers()` Returns the keyboard modifiers in use when the context menu was requested.
`QPointF` | `pos()` Returns the position of the mouse cursor in item coordinates at the moment the the context menu was requested.
`QGraphicsSceneContextMenuEvent.Reason` | `reason()` Returns the reason for the context menu event.
`QPointF` | `scenePos()` Returns the position of the mouse cursor in scene coordinates at the moment the the context menu was requested.
`QPoint` | `screenPos()` Returns the position of the mouse cursor in screen coordinates at the moment the the context menu was requested.
`void` | `setModifiers(Qt.KeyboardModifier... modifiers)`
`void` | `setModifiers(Qt.KeyboardModifiers modifiers)`
`void` | `setPos(QPointF pos)`
`void` | `setReason(QGraphicsSceneContextMenuEvent.Reason reason)`
`void` | `setScenePos(QPointF pos)`
`void` | `setScreenPos(QPoint pos)`

Methods inherited from class com.trolltech.qt.gui.QGraphicsSceneEvent
`widget`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QGraphicsSceneContextMenuEvent

    public QGraphicsSceneContextMenuEvent()

  Equivalent to `QGraphicsSceneContextMenuEvent`(None).

### QGraphicsSceneContextMenuEvent

    public QGraphicsSceneContextMenuEvent(QEvent.Type type)

Method Detail

### modifiers

    public final Qt.KeyboardModifiers modifiers()

  Returns the keyboard modifiers in use when the context menu was requested.

  See Also:
    `setModifiers`

### pos

    public final QPointF pos()

  Returns the position of the mouse cursor in item coordinates at the moment the the context menu was requested.

  See Also:
    `setPos`, `scenePos`, `screenPos`

### reason

    public final QGraphicsSceneContextMenuEvent.Reason reason()

  Returns the reason for the context menu event.

  See Also:
    `setReason`, `QGraphicsSceneContextMenuEvent::Reason`

### scenePos

    public final QPointF scenePos()

  Returns the position of the mouse cursor in scene coordinates at the moment the the context menu was requested.

  See Also:
    `setScenePos`, `pos`, `screenPos`

### screenPos

    public final QPoint screenPos()

  Returns the position of the mouse cursor in screen coordinates at the moment the the context menu was requested.

  See Also:
    `setScreenPos`, `pos`, `scenePos`

### setModifiers

    public final void setModifiers(Qt.KeyboardModifier... modifiers)

  See Also:
    `modifiers`

### setModifiers

    public final void setModifiers(Qt.KeyboardModifiers modifiers)

  See Also:
    `modifiers`

### setPos

    public final void setPos(QPointF pos)

  See Also:
    `pos`

### setReason

    public final void setReason(QGraphicsSceneContextMenuEvent.Reason reason)

  See Also:
    `reason`

### setScenePos

    public final void setScenePos(QPointF pos)

  See Also:
    `scenePos`

### setScreenPos

    public final void setScreenPos(QPoint pos)

  See Also:
    `screenPos`

### fromNativePointer

    public static QGraphicsSceneContextMenuEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QGraphicsSceneContextMenuEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD